Subject: Re: [PATCH v12 06/10] net: ti: icssg-prueth: Add ICSSG ethernet driver

From: Jakub Kicinski <[email-masked]>
Date: Fri, 28 Jul 2023 17:25:43 -0700

On Thu, 27 Jul 2023 16:58:23 +0530 MD Danish Anwar wrote:
> +/* Classifier helpers */
> +void icssg_class_set_mac_addr(struct regmap *miig_rt, int slice, u8 *mac);
> +void icssg_class_set_host_mac_addr(struct regmap *miig_rt, const u8 *mac);
> +void icssg_class_disable(struct regmap *miig_rt, int slice);
> +void icssg_class_default(struct regmap *miig_rt, int slice, bool allmulti);
> +void icssg_ft1_set_mac_addr(struct regmap *miig_rt, int slice, u8 *mac_addr);
> +
> +/* Buffer queue helpers */
> +int icssg_queue_pop(struct prueth *prueth, u8 queue);
> +void icssg_queue_push(struct prueth *prueth, int queue, u16 addr);
> +u32 icssg_queue_level(struct prueth *prueth, int queue);

If you create the prototypes when the functions are added there will 
be less need for __maybe_unused. Compiler only cares about prototypes
existing, not whether actual callers are in place.